Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class CombinedFlatRecordType

    java.lang.Object
      com.servingxml.components.flatfile.recordtype.CombinedFlatRecordType

All Implemented Interfaces:
  FlatRecordType

    public class CombinedFlatRecordType

extends java.lang.Object
implements FlatRecordType

The `FlatRecordType` object writes a header line

Field Summary

Fields inherited from interface com.servingxml.components.flatfile.recordtype.FlatRecordType
`EMPTY`

Constructor Summary
`CombinedFlatRecordType(FlatRecordType[] flatRecordTypes)`

Method Summary
`FlatRecordReader` | `createFlatRecordReader()`
`FlatRecordWriter` | `createFlatRecordWriter()`
`Record` | `getDefaultRecord(ServiceContext context, Flow flow)`
`boolean` | `isBinary()`
`boolean` | `isFixedLength()`
`boolean` | `isText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombinedFlatRecordType

    public CombinedFlatRecordType(FlatRecordType[] flatRecordTypes)

Method Detail

### getDefaultRecord

    public Record getDefaultRecord(ServiceContext context,
                                   Flow flow)

  Specified by:
    `getDefaultRecord` in interface `FlatRecordType`

### createFlatRecordReader

    public FlatRecordReader createFlatRecordReader()

  Specified by:
    `createFlatRecordReader` in interface `FlatRecordType`

### createFlatRecordWriter

    public FlatRecordWriter createFlatRecordWriter()

  Specified by:
    `createFlatRecordWriter` in interface `FlatRecordType`

### isText

    public boolean isText()

  Specified by:
    `isText` in interface `FlatRecordType`

### isBinary

    public boolean isBinary()

  Specified by:
    `isBinary` in interface `FlatRecordType`

### isFixedLength

    public boolean isFixedLength()

  Specified by:
    `isFixedLength` in interface `FlatRecordType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD